/* @import url("https://fonts.googleapis.com/css?family=Montserrat:400|Inconsolata:400"); */
*,
::after,
::before {
  box-sizing: border-box;
}

:root {
  /* COLORS  */
  /* primary */
  --primary-0: #f0efff;
  --primary-50: #d8d6ff;
  --primary-100: #c1beff;
  --primary-200: #aaa5ff;
  --primary-300: #938dff;
  --primary-400: #7b74ff;
  /* main */
  --primary-500: #645cff;
  --primary-600: #554ed9;
  --primary-700: #4640b3;
  --primary-800: #37338c;
  --primary-900: #282566;
  --primary-1000: #191740;
  --primary-1100: #0a0919;
  /* grey */
  --grey-0: #fafbfc;
  --grey-50: #f2f4f8;
  --grey-100: #eaedf3;
  --grey-200: #e2e7ef;
  --grey-300: #dbe0ea;
  --grey-400: #d3dae6;
  --grey-500: #cbd3e1;
  --grey-600: #adb3bf;
  --grey-700: #8e949e;
  --grey-800: #70747c;
  --grey-900: #51545a;
  --grey-1000: #333538;
  --grey-1100: #141516;

  /* rest */
  --black: #222;
  --white: #fff;
  --red-light: #f8d7da;
  --red-dark: #842029;
  --green-light: #d1e7dd;
  --green-dark: #0f5132;
  /* box shadows */
  --shadow-1: 0 1px 3px 0 rgba(0, 0, 0, 0.1), 0 1px 2px 0 rgba(0, 0, 0, 0.06);
  --shadow-2: 0 4px 6px -1px rgba(0, 0, 0, 0.1),
    0 2px 4px -1px rgba(0, 0, 0, 0.06);
  --shadow-3: 0 10px 15px -3px rgba(0, 0, 0, 0.1),
    0 4px 6px -2px rgba(0, 0, 0, 0.05);
  --shadow-4: 0 20px 25px -5px rgba(0, 0, 0, 0.1),
    0 10px 10px -5px rgba(0, 0, 0, 0.04);
  /* typography */
  --defaultFontSize: 87.5%;
  --headingFont: "Inconsolata", monospace;
  --bodyFont: "Montserrat", sans-serif;
  --smallText: 0.8em;
  --extraSmallText: 0.7em;
  /* rest */
  --backgroundColor: var(--grey-0);
  --textColor: var(--grey-1000);
  --borderRadius: 0.25rem;
  --letterSpacing: 1px;
  --transition: 0.3s ease-in-out all;
  --max-width: 1120px;
  --fixed-width: 600px;
}
html {
  font-size: var(--defaultFontSize);
}
@media only screen and (min-width: 576px) {
  :root {
    --defaultFontSize: 100%;
  }
}
@media only screen and (min-width: 768px) {
  :root {
    --defaultFontSize: 112.5%;
  }
}

body {
  background: var(--backgroundColor);
  color: var(--textColor);
  font-family: var(--bodyFont);
  font-weight: 400;
  line-height: 1.75;
}

p {
  margin: 0;
  margin-bottom: 1rem;
  max-width: 40em;
}

h1,
h2,
h3,
h4,
h5 {
  margin: 0;
  margin-bottom: 1.38rem;
  font-family: var(--headingFont);
  font-weight: 400;
  line-height: 1.3;
  text-transform: capitalize;
  letter-spacing: var(--letterSpacing);
}

h1 {
  font-size: 3.052rem;
}

h2 {
  font-size: 2.441rem;
}

h3 {
  font-size: 1.953rem;
}

h4 {
  font-size: 1.563rem;
}

h5 {
  font-size: 1.25rem;
}

small,
.text-small {
  font-size: var(--smallText);
}

ul {
  padding: 0;
  list-style-type: none;
}
a {
  text-decoration: none;
}
.img {
  width: 100%;
  display: block;
  object-fit: cover;
}
.form {
  width: 100%;
  background: var(--white);
  border-radius: var(--borderRadius);
  box-shadow: var(--shadow-2);
  padding: 2rem 2.5rem;
}
label {
  display: block;
  font-size: var(--smallText);
  margin-bottom: 0.5rem;
  text-transform: capitalize;
}

input,
textarea {
  width: 100%;
  padding: 0.375rem 0.75rem;
  border-radius: var(--borderRadius);
  background: var(--grey-0);
  border-color: transparent;
  border: 1px solid var(--grey-300);
}
.form-row {
  margin-bottom: 1rem;
}
textarea {
  width: 100%;
  height: 7rem;
}

::placeholder {
  color: var(--grey-600);
}
.form-alert {
  color: var(--red-dark);
  font-size: var(--extraSmallText);
  letter-spacing: var(--letterSpacing);
  text-transform: capitalize;
}
hr {
  border-top: var(--line);
}

button,
.btn {
  cursor: pointer;
  appearance: none;
  color: var(--white);
  background: var(--primary-500);
  border: none;
  border-radius: var(--borderRadius);
  letter-spacing: var(--letterSpacing);
  padding: 0.375rem 0.75rem;
  box-shadow: var(--shadow-1);
  transition: var(--transition);
  text-transform: capitalize;
}
button:hover,
.btn:hover {
  color: var(--white);
  background: var(--primary-700);
  box-shadow: var(--shadow-2);
}
button.small {
  padding: 0.25rem 0.5rem;
  font-size: var(--smallText);
}
button.hipster {
  color: var(--primary-500);
  background: var(--primary-50);
  box-shadow: var(--shadow-1);
}
button.hipster:hover {
  background: var(--primary-100);
  box-shadow: var(--shadow-2);
}
button.block {
  width: 100%;
}

/* Basic Classes */
.alert {
  padding: 0.375rem 0.75rem;
  margin-bottom: 1rem;
  border-color: transparent;
  border-radius: var(--borderRadius);
}

.alert-success {
  color: var(--green-dark);
  background-color: var(--green-light);
}
.alert-danger {
  color: var(--red-dark);
  background-color: var(--red-light);
}

.container {
  padding: 5rem 0;
}
.container-center {
  width: 90vw;
  max-width: var(--max-width);
  margin: 0 auto;
}
.page {
  width: 90vw;
  max-width: var(--max-width);
  margin: 0 auto;
}
.page {
  min-height: calc(100vh - (6rem + 4rem));
}

.title {
  text-align: center;
  margin-bottom: 2rem;
}
.title-underline {
  height: 0.2rem;
  width: 7rem;
  background: var(--primary-600);
  margin: 0 auto;
}

form > *:last-child {
  margin-bottom: 0;
}

/* loading */
@keyframes spinner {
  to {
    transform: rotate(360deg);
  }
}

.loading {
  width: 6rem;
  height: 6rem;
  border-radius: 50%;
  border: 3px solid #ccc;
  border-top-color: var(--clr-primary-5);
  animation: spinner 0.6s linear infinite;
}
.loading {
  margin: 0 auto;
}
/* form loading */

.form-loading {
  position: relative;
}
.form-loading::before {
  background: var(--white);
  position: absolute;
  content: "";
  height: 100%;
  width: 100%;
  top: 0;
  left: 0;
  border-radius: var(--borderRadius);
  opacity: 0.8;
}
@keyframes spinner {
  to {
    transform: rotate(360deg);
  }
}

.form-loading::after {
  content: "";
  position: absolute;
  top: calc(50% - 3rem);
  left: calc(50% - 3rem);
  width: 6rem;
  height: 6rem;
  border-radius: 50%;
  border: 3px solid #ccc;
  border-top-color: var(--clr-primary-5);
  animation: spinner 0.6s linear infinite;
}

/*#########*/
/* END OF GLOBALS */
/*#########*/

/*#########*/
/* Navbar */
/*#########*/
.navbar {
  display: flex;
  align-items: center;
  justify-content: center;
}
.nav-center {
  width: 90vw;
  max-width: var(--max-width);
}
.nav-header {
  height: 6rem;
  display: flex;
  justify-content: space-between;
  align-items: center;
}
.nav-header img {
  width: 200px;
  margin-left: -6px;
  margin-bottom: -9px;
}
.nav-btn {
  padding: 0.15rem 0.75rem;
}
.nav-btn svg {
  font-size: 1.5rem;
}
.nav-links {
  height: 0;
  overflow: hidden;
  display: flex;
  flex-direction: column;
  transition: var(--transition);
}
.show-links {
  height: 23.9375rem;
}

.nav-link {
  display: block;
  text-align: center;
  font-size: 1.5rem;
  text-transform: capitalize;
  color: var(--grey-1000);
  letter-spacing: var(--letterSpacing);
  padding: 1rem 0;
  border-top: 1px solid var(--grey-500);
  transition: var(--transition);
}
.active-link {
  color: var(--primary-500);
}
.contact-link {
  display: flex;
  justify-content: center;
}
.contact-link a {
  padding: 0.15rem 1rem;
}

@media screen and (min-width: 992px) {
  .navbar {
    height: 6rem;
  }
  .nav-center {
    display: flex;
    align-items: center;
  }
  .nav-header {
    padding: 0;
    margin-right: 2rem;
    height: auto;
  }

  .nav-btn {
    display: none;
  }
  .nav-links {
    height: auto !important;
    flex-direction: row;
    align-items: center;
    width: 100%;
  }
  .nav-link {
    padding: 0;
    border-top: none;
    margin-right: 1rem;
    font-size: 1rem;
  }
  .contact-link {
    width: 100%;
    justify-content: flex-end;
    align-items: center;
    margin-right: 0;
  }
}

/*#########*/
/* Footer */
/*#########*/
.page-footer {
  text-align: center;
  height: 4rem;
  display: flex;
  align-items: center;
  justify-content: center;
  background: var(--black);
  color: var(--white);
}
.page-footer h5 {
  margin-bottom: 0;
}
.page-footer p {
  margin-bottom: 0;
}
.page-footer span,
.page-footer a {
  color: var(--primary-500);
}

/*#########*/
/* Error */
/*#########*/
.error-page {
  min-height: calc(100vh - (6rem + 4rem));
  text-align: center;
  padding-top: 3rem;
}
.error-page h1 {
  font-size: 9rem;
}

/*#########*/
/* Contact */
/*#########*/

.contact-page {
  display: grid;
  gap: 2rem 3rem;
  padding-bottom: 3rem;
}
@media screen and (min-width: 992px) {
  .contact-page {
    grid-template-columns: 1fr 1fr;
    align-items: center;
  }
}

/*#########*/
/* About */
/*#########*/

.about-page h2 {
  text-transform: none;
  font-weight: bold;
}
.about-page {
  display: grid;
  gap: 2rem 4rem;
  padding-bottom: 3rem;
}
.about-img {
  border-radius: var(--borderRadius);
  height: 500px;
}

@media screen and (min-width: 992px) {
  .about-page {
    grid-template-columns: 1fr 1fr;
    align-items: center;
    height: 400px;
  }
  .about-img {
    height: 100%;
  }
}

.featured-recipes > h5 {
  text-align: center;
  max-width: 100%;
}
/*#########*/
/* Hero */
/*#########*/

.hero-img {
  height: 100%;
  border-radius: var(--borderRadius);
}
.hero {
  height: 25vh;
  position: relative;
  margin-bottom: 2rem;
}
.hero-container {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  display: flex;
  align-items: center;
  justify-content: center;
  background: rgba(0, 0, 0, 0.4);
  border-radius: var(--borderRadius);
}
.hero-text {
  color: var(--white);
  text-align: center;
}

@media only screen and (min-width: 768px) {
  .hero-text h1 {
    font-size: 4rem;
    margin-bottom: 0;
  }
}

/*#########*/
/* Recipes */
/*#########*/
.recipes-container {
  display: grid;
  gap: 2rem 1rem;
}

.recipes-list {
  display: grid;
  gap: 2rem 1rem;
  padding-bottom: 3rem;
}
.tags-container {
  order: 1;
  display: flex;
  flex-direction: column;
  /* background: blue; */
}
.tags-list {
  display: grid;
  grid-template-columns: 1fr 1fr 1fr;
}
.tags-container h4 {
  margin-bottom: 0.5rem;
  font-weight: bold;
}
.tags-list a {
  text-transform: capitalize;
  display: block;
  color: var(--grey-800);
  transition: var(--transition);
}
.tags-list a:hover {
  color: var(--primary-500);
}
.recipe {
  display: block;
}
.recipe-img {
  height: 15rem;
  border-radius: var(--borderRadius);
}
.recipe h5 {
  margin-bottom: 0;
  margin-top: 0.25rem;
  line-height: 1;
  color: var(--textColor);
  font-weight: 600;
}
.recipe p {
  margin-bottom: 0;
  line-height: 1;
  color: var(--grey-800);
  margin-top: 0.5rem;
}
@media screen and (min-width: 576px) {
  .recipes-list {
    grid-template-columns: 1fr 1fr;
  }
  .recipe-img {
    height: 10rem;
  }
}

@media screen and (min-width: 992px) {
  .recipes-container {
    grid-template-columns: 200px 1fr;
    gap: 1rem;
  }
  .recipes-list {
    grid-template-columns: 1fr 1fr;
  }

  .recipe-img {
    height: 9rem;
  }

  .recipe p {
    font-size: 0.85rem;
  }
  .tags-container {
    order: 0;
    /* background: blue; */
  }
  .tags-list {
    display: grid;
    grid-template-columns: 1fr;
  }
}

@media screen and (min-width: 1200px) {
  .recipe h5 {
    font-size: 1.15rem;
  }
  .recipes-list {
    grid-template-columns: 1fr 1fr 1fr;
  }
}
/*#########*/
/* Tags */
/*#########*/

.tags-page {
  display: grid;
  gap: 2rem;
  padding-bottom: 3rem;
}
.tag {
  background: var(--grey-700);
  border-radius: var(--borderRadius);
  text-align: center;
  color: var(--white);
  transition: var(--transition);
  padding: 0.75rem 0;
}
.tag:hover {
  background: var(--primary-500);
}
.tag h5,
.tag p {
  margin-bottom: 0;
}
.tag h5 {
  font-weight: 600;
}
@media screen and (min-width: 576px) {
  .tags-page {
    grid-template-columns: 1fr 1fr;
  }
}
@media screen and (min-width: 992px) {
  .tags-page {
    grid-template-columns: 1fr 1fr 1fr;
  }
}

/*#########*/
/* Recipe Template */
/*#########*/

.recipe-hero {
  display: grid;
  gap: 3rem;
}
.recipe-hero .about-img {
  height: 400px;
}
.recipe-icons {
  display: grid;
  grid-template-columns: repeat(3, 1fr);
  gap: 1rem;
  margin: 2rem 0;
  text-align: center;
}
.recipe-icons svg {
  font-size: 1.5rem;
}
.recipe-icons h5,
.recipe-icons p {
  margin-bottom: 0;
  font-size: 0.85em;
}
.recipe-icons h5 {
  font-weight: 600;
}
.recipe-icons p {
  color: var(--grey-800);
}
.recipe-tags {
  display: flex;
  align-items: center;
  flex-wrap: wrap;
  font-size: 0.7em;
  font-weight: 600;
}
.recipe-tags a {
  background: var(--primary-500);
  border-radius: var(--borderRadius);
  color: var(--white);
  padding: 0.05rem 0.5rem;
  margin: 0 0.25rem;
  text-transform: capitalize;
}
@media screen and (min-width: 992px) {
  .recipe-hero {
    grid-template-columns: 4fr 5fr;
    align-items: center;
  }
}
.recipe-content {
  padding: 3rem 0;
  display: grid;
  gap: 2rem 5rem;
}
@media screen and (min-width: 992px) {
  .recipe-content {
    grid-template-columns: 2fr 1fr;
  }
}
.single-instruction header {
  display: grid;
  grid-template-columns: auto 1fr;
  gap: 1.5rem;
  align-items: center;
}
.single-instruction header p {
  text-transform: uppercase;
  font-weight: 600;
  color: var(--primary-500);
  margin-bottom: 0;
}

.single-instruction header div {
  height: 1px;
  background: var(--grey-500);
}

.second-column {
  display: grid;
  row-gap: 2rem;
}

.single-ingredient {
  border-bottom: 1px solid var(--grey-500);
  padding-bottom: 0.75rem;
}
.single-tool {
  border-bottom: 1px solid var(--grey-500);
  padding-bottom: 0.75rem;
  color: var(--primary-500);
  text-transform: capitalize;
}
